pxadmin_create_mirror_tables.sql: pxadmin_create_tables.sql
	-$(RM) pxadmin_create_mirror_tables.sql
	./parse_pxadmin_create_tables.pl pxadmin_create_tables.sql > pxadmin_create_mirror_tables.sql

dist_pkgdata_DATA = \
     addtool_donecleanup.sql \
     addtool_find_cam_id.sql \
     addtool_find_pendingexp.sql \
     addtool_find_processedexp.sql \
     addtool_pendingcleanupexp.sql \
     addtool_pendingcleanuprun.sql \
     addtool_queue_cam_id.sql \
     addtool_reset_faulted_runs.sql \
     addtool_revertprocessedexp.sql \
     camtool_donecleanup.sql \
     camtool_find_chip_id.sql \
     camtool_find_pendingexp.sql \
     camtool_find_pendingimfile.sql \
     camtool_find_processedexp.sql \
     camtool_pendingcleanupexp.sql \
     camtool_pendingcleanuprun.sql \
     camtool_queue_chip_id.sql \
     camtool_reset_faulted_runs.sql \
     camtool_revertprocessedexp.sql \
     camtool_export_run.sql \
     camtool_export_processed_exp.sql \
     chiptool_change_exp_state.sql \
     chiptool_change_imfile_data_state.sql \
     chiptool_completely_processed_exp.sql \
     chiptool_definecopy.sql \
     chiptool_donecleanup.sql \
     chiptool_find_rawexp.sql \
     chiptool_pendingcleanupimfile.sql \
     chiptool_pendingcleanuprun.sql \
     chiptool_pendingimfile.sql \
     chiptool_processedimfile.sql \
     chiptool_revertprocessedimfile.sql \
     chiptool_run.sql \
     chiptool_runstate.sql \
     chiptool_setimfiletoupdate.sql \
     chiptool_export_imfile.sql \
     chiptool_export_processed_imfile.sql \
     chiptool_export_run.sql \
     chiptool_unmasked.sql \
     detselect_search.sql \
     detselect_select.sql \
     dettool_addprocessedexp.sql \
     dettool_childlessrun.sql \
     dettool_definebydetrun.sql \
     dettool_detrunsummary.sql \
     dettool_find_completed_runs.sql \
     dettool_input.sql \
     dettool_normalizedexp.sql \
     dettool_normalizedimfile.sql \
     dettool_normalizedstat.sql \
     dettool_pending.sql \
     dettool_pendingcleanup_detrunsummary.sql \
     dettool_pendingcleanup_normalizedexp.sql \
     dettool_pendingcleanup_normalizedimfile.sql \
     dettool_pendingcleanup_normalizedstat.sql \
     dettool_pendingcleanup_processedexp.sql \
     dettool_pendingcleanup_processedimfile.sql \
     dettool_pendingcleanup_residexp.sql \
     dettool_pendingcleanup_residimfile.sql \
     dettool_pendingcleanup_stacked.sql \
     dettool_processedimfile.sql \
     dettool_raw.sql \
     dettool_residexp.sql \
     dettool_residimfile.sql \
     dettool_revertdetrunsummary.sql \
     dettool_revertnormalizedexp.sql \
     dettool_revertnormalizedimfile.sql \
     dettool_revertnormalizedstat.sql \
     dettool_revertprocessedexp.sql \
     dettool_revertprocessedimfile.sql \
     dettool_revertresidexp.sql \
     dettool_revertresidimfile.sql \
     dettool_revertstacked.sql \
     dettool_runs.sql \
     dettool_stacked.sql \
     dettool_start_new_iteration.sql \
     dettool_stop_completed_correct_runs.sql \
     dettool_tocorrectexp.sql \
     dettool_tocorrectimfile.sql \
     dettool_todetrunsummary.sql \
     dettool_tonormalize.sql \
     dettool_tonormalizedexp.sql \
     dettool_tonormalizedstat.sql \
     dettool_toprocessedexp.sql \
     dettool_toprocessedimfile.sql \
     dettool_toresidexp.sql \
     dettool_toresidimfile.sql \
     dettool_tostacked.sql \
     difftool_change_skyfile_data_state.sql \
     difftool_change_run_state.sql \
     difftool_completed_runs.sql \
     difftool_definewarpstack_part1.sql \
     difftool_definewarpstack_part2.sql \
     difftool_definewarpstack_temp_create.sql \
     difftool_definewarpwarp_temp_create.sql \
     difftool_definewarpwarp_temp_insert.sql \
     difftool_definewarpwarp_select.sql \
     difftool_definewarpwarp_insert.sql \
     difftool_definestackstack_part0.sql \
     difftool_definestackstack_part1.sql \
     difftool_donecleanup.sql \
     difftool_export_input_skyfile.sql \
     difftool_export_run.sql \
     difftool_export_skyfile.sql \
     difftool_inputskyfile.sql \
     difftool_pendingcleanuprun.sql \
     difftool_pendingcleanupskyfile.sql \
     difftool_revertdiffskyfile_delete.sql \
     difftool_revertdiffskyfile_update.sql \
     difftool_skyfile.sql \
     difftool_todiffskyfile.sql \
     disttool_definebyquery_camera.sql \
     disttool_definebyquery_chip.sql \
     disttool_definebyquery_diff.sql \
     disttool_definebyquery_fake.sql \
     disttool_definebyquery_raw.sql \
     disttool_definebyquery_stack.sql \
     disttool_definebyquery_warp.sql \
     disttool_definebyquery_SSdiff.sql \
     disttool_defineinterest.sql \
     disttool_listfilesets.sql \
     disttool_listinterests.sql \
     disttool_pending_camera.sql \
     disttool_pending_chip.sql \
     disttool_pending_diff.sql \
     disttool_pending_fake.sql \
     disttool_pending_raw.sql \
     disttool_pending_stack.sql \
     disttool_pending_warp.sql \
     disttool_pending_SSdiff.sql \
     disttool_pendingfileset.sql \
     disttool_pendingdest.sql \
     disttool_pendingcleanup.sql \
     disttool_processedcomponent.sql \
     disttool_queuercrun.sql \
     disttool_revertrcrun.sql \
     disttool_revertrun.sql \
     disttool_revertcomponent.sql \
     disttool_revertfileset.sql \
     disttool_toadvance.sql \
     disttool_updateinterest.sql \
     disttool_updatercrun.sql \
     dqstatstool_createbundle.sql \
     dqstatstool_definebyquery.sql \
     dqstatstool_get_contents.sql \
     dqstatstool_get_run.sql \
     faketool_change_exp_state.sql \
     faketool_change_imfile_data_state.sql \
     faketool_completely_processed_exp.sql \
     faketool_donecleanup.sql \
     faketool_export_processed_imfile.sql \
     faketool_export_run.sql \
     faketool_find_camrun.sql \
     faketool_find_pendingexp.sql \
     faketool_pendingcleanupimfile.sql \
     faketool_pendingcleanuprun.sql \
     faketool_pendingimfile.sql \
     faketool_processedimfile.sql \
     faketool_queue_cam_id.sql \
     faketool_revertprocessedimfile.sql \
     faketool_unmasked.sql \
     flatcorr_chiprundone.sql \
     flatcorr_camerarundone.sql \
     flatcorr_pendingprocess.sql \
     flatcorr_inputimfile.sql \
     flatcorr_dropchip.sql \
     flatcorr_dropcamera.sql \
     magictool_addmask.sql \
     magictool_restore_camera.sql \
     magictool_restore_chip.sql \
     magictool_restore_diff.sql \
     magictool_restore_raw.sql \
     magictool_restore_warp.sql \
     magictool_create_tmp_warpcomplete.sql \
     magictool_definebyquery_insert.sql \
     magictool_definebyquery_select.sql \
     magictool_inputs.sql \
     magictool_inputskyfile.sql \
     magictool_mask.sql \
     magictool_tomask.sql \
     magictool_toprocess_inputs.sql \
     magictool_toprocess_runs.sql \
     magictool_toprocess_tree.sql \
     magictool_toskyfilemask.sql \
     magictool_totree.sql \
     magictool_diffskyfile.sql \
     magictool_warpskyfile.sql \
     magictool_chipprocessedimfile.sql \
     magictool_rawimfile.sql \
     magictool_revertnode.sql \
     magicdstool_clearstatefaults.sql \
     magicdstool_completed_runs.sql \
     magicdstool_completedrevert.sql \
     magicdstool_definebyquery_raw.sql \
     magicdstool_definebyquery_chip.sql \
     magicdstool_definebyquery_camera.sql \
     magicdstool_definebyquery_warp.sql \
     magicdstool_definebyquery_diff.sql \
     magicdstool_definecopy_chip.sql \
     magicdstool_definecopy_warp.sql \
     magicdstool_getrunids.sql \
     magicdstool_getskycells.sql \
     magicdstool_revertdestreakedfile.sql \
     magicdstool_tocleanup.sql \
     magicdstool_todestreak_camera.sql \
     magicdstool_todestreak_chip.sql \
     magicdstool_todestreak_diff.sql \
     magicdstool_todestreak_raw.sql \
     magicdstool_todestreak_warp.sql \
     magicdstool_toremove.sql \
     magicdstool_torevert_raw.sql \
     magicdstool_torevert_chip.sql \
     magicdstool_torevert_camera.sql \
     magicdstool_torevert_warp.sql \
     magicdstool_torevert_diff.sql \
     pstamptool_completedreq.sql \
     pstamptool_datastore.sql \
     pstamptool_listjob.sql \
     pstamptool_pendingdependent.sql \
     pstamptool_pendingjob.sql \
     pstamptool_pendingreq.sql \
     pstamptool_project.sql \
     pstamptool_revertjob.sql \
     pstamptool_revertreq.sql \
     pstamptool_revertreq_deletejobs.sql \
     pxadmin_create_tables.sql \
     pxadmin_create_mirror_tables.sql \
     pxadmin_drop_tables.sql \
     pxadmin_update_version.sql \
     pubtool_definerun.sql \
     pubtool_pending.sql \
     pubtool_revert.sql \
     pztool_find_completed_exp.sql \
     pztool_pendingimfile.sql \
     pztool_revert_downloadimfile_faults.sql \
     pztool_revert_fileset_faults.sql \
     pztool_revertcopied.sql \
     receivetool_list.sql \
     receivetool_addfileset.sql \
     receivetool_pendingfileset.sql \
     receivetool_pendingfile.sql \
     receivetool_revert.sql \
     receivetool_toadvance.sql \
     regtool_create_dup_table.sql \
     regtool_export_exp.sql \
     regtool_export_imfile.sql \
     regtool_pendingexp.sql \
     regtool_pendingimfile.sql \
     regtool_populate_dup_table.sql \
     regtool_processedexp.sql \
     regtool_processedimfile.sql \
     regtool_revertprocessedexp.sql \
     regtool_revertprocessedimfile.sql \
     regtool_updateprocessedimfile.sql \
     regtool_pendingcompressimfile.sql \
     regtool_finishcompressexp.sql \
     regtool_updatebyquery.sql \
     regtool_updatebyqueryimfile.sql \
     stacktool_definebyquery_insert.sql \
     stacktool_definebyquery_insert_random_part1.sql \
     stacktool_definebyquery_insert_random_part2.sql \
     stacktool_definebyquery_select.sql \
     stacktool_definebyquery_test.sql \
     stacktool_donecleanup.sql \
     stacktool_export_input_skyfile.sql \
     stacktool_export_run.sql \
     stacktool_export_sum_skyfile.sql \
     stacktool_find_complete_warps.sql \
     stacktool_inputskyfile.sql \
     stacktool_pendingcleanuprun.sql \
     stacktool_pendingcleanupskyfile.sql \
     stacktool_revertsumskyfile_delete.sql \
     stacktool_sumskyfile.sql \
     stacktool_tosum.sql \
     warptool_change_skyfile_data_state.sql \
     warptool_change_run_state.sql \
     warptool_definebyquery.sql \
     warptool_donecleanup.sql \
     warptool_exp.sql \
     warptool_export_imfile.sql \
     warptool_export_run.sql \
     warptool_export_skyfile.sql \
     warptool_export_skycell_map.sql \
     warptool_finished_run_select.sql \
     warptool_finish_run.sql \
     warptool_imfile.sql \
     warptool_pendingcleanuprun.sql \
     warptool_pendingcleanupskyfile.sql \
     warptool_revertoverlap.sql \
     warptool_revertwarped_delete.sql \
     warptool_runstate.sql \
     warptool_scmap.sql \
     warptool_tooverlap.sql \
     warptool_towarped.sql \
     warptool_updateskyfile.sql \
     warptool_warped.sql
